package com.huigou.topsun.sap.wasteSale.application;


import com.huigou.topsun.sap.wasteSale.domain.WasteSale;
import com.huigou.topsun.sap.wasteSale.domain.query.WasteSaleQueryRequest;

import java.util.List;
import java.util.Map;

/**
 * @Auther: xin.lu
 * @Date: 2024/03/13/19:11
 * @Description:
 */
public interface WasteSaleApplication {
    public static final String QUERY_XML_FILE_PATH = "config/topsun/sap/wasteSale/wasteSale.xml";

    String PROCESS_DEFINITION_KEY = "wasteSaleProc";

    WasteSale findWasteSaleById(String id);

    void deleteWasteSaleById(List<String> ids);

    WasteSale saveWasteSale(WasteSale wasteSale);

    Map<String, Object> slicedWasteSaleList(WasteSaleQueryRequest queryRequest);

    public void sendWasteSaleData(WasteSale wasteSale);
}
